%global pkg_name %{name}

%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           preupgrade-assistant-contents%{?name_suffix}
Version:        0.6.33
Release:        1.0.1%{?dist}
Summary:        Set of contents created by maintainers
Group:          System Environment/Libraries
License:        GPLv3+
URL:            http://www.open-scap.org/
Source0:        %{name}-%{version}.tar.gz
# Added by Oracle
Patch100:         0010-oracle-key.patch
Patch101:         0020-oracle-platform.patch
Patch102:         0030-start-getty-on-tty1.patch
Patch103:         0040-remove-rhck.patch
Patch104:         0050-name-rh-2-oracle.patch
Patch105:         Bug20545928.patch 
Patch106:	  remove-rhel-refs.patch
Patch107:	  remove-rhel-refs-2.patch
Patch108:	  bug20684128-oracle-text-strings.patch
Patch109:	  bug20684128-oracle-text-strings-2.patch
Patch110:	  0060-name-rh-2-oracle.patch
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{pkg_name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       preupgrade-assistant%{?_isa} >= 2.0.1-15

#pkgdowngrades content is crucial and requires redhat-upgrade-tool
Requires:       redhat-upgrade-tool >= 0.7.36-1

############################
# Per content requirements #
############################

# * owned by RHEL6_7/packages/pkgdowngrades - this is for the
#   redhat-upgrade-tool hook "fixpkgdowngrades.sh
Requires:       yum, rpm-python

# Why those requirements?
# /usr/bin/python and /usr/bin/python2 are already present.
Requires:       bash
Requires:       python
Requires:       coreutils
Requires:       perl
#do not require php even in presence of php scripts
#dependency filtering: https://fedoraproject.org/wiki/Packaging:AutoProvidesAndRequiresFiltering
%if 0%{?fedora} || 0%{?rhel} > 6
%global __requires_exclude_from ^%{_datadir}
%else
%filter_from_requires %{_datadir}
%filter_setup
%endif


%global __requires_exclude .*
%global __requires_exclude_from .*
%global __provides_exclude .*
%global __provides_exclude_from .*

%description
The package provides a set of contents used for assessment
of the source system. The contents are used by the
preupgrade-assistant package.

%prep
%setup -q -n %{name}-%{version}
# oracle patch
%patch100 -p1 -b .oracle-key.patch
%patch101 -p1 -b .oracle-product.patch
%patch102 -p1
%patch103 -p1 -b .remove-rhck.patch
%patch104 -p1 -b .name-rh-2-oracle.patch
%patch105 -p1 
%patch106 -p1 
%patch107 -p1 
%patch108 -p1 
%patch109 -p1
%patch110 -p1

%build
# Make is not needed

%check
#This is check whether contents are created properly
#stat $RPM_BUILD_ROOT/%{_datadir}/preupgrade/RHEL6_7/all-xccdf.xml > /dev/null   --all-xccdf.xml does not exist anymore
stat $RPM_BUILD_ROOT/%{_datadir}/preupgrade/RHEL6_7/3rdparty > /dev/null
stat $RPM_BUILD_ROOT/%{_datadir}/preupgrade/RHEL6_7/common > /dev/null
[ "$(ls -A $RPM_BUILD_ROOT/%{_datadir}/preupgrade/RHEL6_7/common/)" ] || false

%install
rm -rf $RPM_BUILD_ROOT

install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/preupgrade
mv * $RPM_BUILD_ROOT%{_datadir}/preupgrade/

%if 0%{?rhel} == 5
rm -rf $RPM_BUILD_ROOT%{_datadir}/preupgrade/RHEL6_7/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/preupgrade/RHEL{5_6,5_7}/3rdparty
%endif

%if 0%{?rhel} == 6 || 0%{?fedora}
rm -rf $RPM_BUILD_ROOT%{_datadir}/preupgrade/RHEL{5_6,5_7}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/preupgrade/RHEL6_7/3rdparty
mkdir -p $RPM_BUILD_ROOT%{_datadir}/preupgrade/RHEL6_7/common
mv $RPM_BUILD_ROOT/%{_datadir}/preupgrade/common/repo-stats/RHEL6_7/* $RPM_BUILD_ROOT/%{_datadir}/preupgrade/RHEL6_7/common/
rm -rf $RPM_BUILD_ROOT/%{_datadir}/preupgrade/common
rm -f $RPM_BUILD_ROOT/%{_datadir}/preupgrade/RHEL6_7/common/compose_id.ignore
%endif

find $RPM_BUILD_ROOT%{_datadir}/preupgrade/ -name "*.ini" | xargs rm -f
find $RPM_BUILD_ROOT%{_datadir}/preupgrade/ -name "READY" | xargs rm -f

# repo-stats.tar.gz
find $RPM_BUILD_ROOT/%{_datadir}/preupgrade -name dark-matrix.log -delete

# General cleanup
find $RPM_BUILD_ROOT -name '.gitignore' -delete

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%if 0%{?rhel} == 5
%dir %{_datadir}/preupgrade/RHEL{5_6,5_7}
%{_datadir}/preupgrade/RHEL*
%dir %{_datadir}/preupgrade/RHEL{5_6,5_7}/3rdparty
%endif
%if 0%{?rhel} == 6 || 0%{?fedora}
%{_datadir}/preupgrade/RHEL6_7/
%endif

%changelog
* Mon Aug 24 2015 Livy Ge <livy.ge@oracle.com> - 0.6.33-1.0.1
- Replace RHEL strings (Livy Ge)
- Replace RHEL refrences --> OL [Orabug 20684128] (Avi Miller)
- Replace string "non-RH" with non-OL [Orabug 20545928] (Tianyue Lan)
- Change user visible strings Red Hat -> Oracle [Orabug 19183330] (Dwight Engen)
- Reword access.redhat.com URLs [Orabug 19183330] (Dwight Engen)
- Remove old RHCK during upgrade [Orabug 18767222] (Dwight Engen)
- Add Oracle RPM key id to those considered signed (Dwight Engen)
- Add Oracle Platform to match openscap [Orabug 18668483] (Dwight Engen)
- Start getty on tty1 [Orabug 18815298] (Dwight Engen)

* Wed Aug 12 2015 Petr Stodulka <pstodulk@redhat.com> - 0.6.33-1
- fix yaboot and kernel-kdump
  Resolves: #1252184, #1252848, #1252186,

* Mon Aug 10 2015 Petr Stodulka <pstodulk@redhat.com> - 0.6.32-4
- rebuild due to corrupted rpm

* Mon Aug 10 2015 Frantisek Kluknavsky <fkluknav@redhat.com> - 0.6.32-3
- do not package unpatched original file

* Mon Aug 10 2015 Frantisek Kluknavsky <fkluknav@redhat.com> - 0.6.32-2
- yaboot.patch added

* Wed Jul 08 2015 Frantisek Kluknavsky <fkluknav@redhat.com> - 0.6.32-1
- rebase
- yaboot fixed, kernel-kdump fixed

* Fri Jun 19 2015 Frantisek Kluknavsky <fkluknav@redhat.com> - 0.6.30-1
- rebase
- many fixes
- new content: aide, power6
- luks allowed

* Wed May 13 2015 Frantisek Kluknavsky <fkluknav@redhat.com> - 0.6.25-1
- rebase with minor fixes only

* Mon May 11 2015 Frantisek Kluknavsky <fkluknav@redhat.com> - 0.6.24-1
- rebase with minor fixes only

* Thu May 07 2015 Frantisek Kluknavsky <fkluknav@redhat.com> - 0.6.23-2
- Rebuilt contents because of new preupgrade-assistant functionality
- New value called result_part is introduced

* Thu May 07 2015 Frantisek Kluknavsky <fkluknav@redhat.com> - 0.6.23-1
- rebase
- packages/RemovedPackages updated

* Wed Apr 22 2015 Frantisek Kluknavsky <fkluknav@redhat.com> - 0.6.22-1
- rebase
- system/repositories check script fixed

* Tue Apr 21 2015 Frantisek Kluknavsky <fkluknav@redhat.com> - 0.6.21-1
- rebase
- ifcfg check script rewritten
- SupportedVariants and SystemVersion contents merged

* Mon Mar 30 2015 Frantisek Kluknavsky <fkluknav@redhat.com> - 0.6.20-1
- rebase
- new and fixed contents: kernel-kdump, yaboot, repositories, tuned, postfix, sendmail, removable media, ...
- we are upgrading rhel-6.7->7.1 now

* Mon Feb 09 2015 Petr Hracek <phracek@redhat.com> - 0.6.18-1
- Typo in sources
- requires new preupgrade-assistant

* Mon Feb 09 2015 Petr Hracek <phracek@redhat.com> - 0.6.17-1
- --nogpg check fix and rpm._RPMVSF_NOSIGNATURES flag

* Thu Feb 05 2015 Frantisek Kluknavsky <fkluknav@redhat.com> - 0.6.1-2
- dependency filtering worked only in Fedora, now fixed for rhel6

* Thu Jan 29 2015 Frantisek Kluknavsky <fkluknav@redhat.com> - 0.6.16-1
- rebase, updated dark-matrix

* Thu Jan 29 2015 Frantisek Kluknavsky <fkluknav@redhat.com> - 0.6.15-1
- rebase, support s390x

* Fri Jan 16 2015 Frantisek Kluknavsky <fkluknav@redhat.com> - 0.6.14-2
- do not package compose_id

* Thu Jan 15 2015 Frantisek Kluknavsky <fkluknav@redhat.com> - 0.6.14-1
- rebase, TaskJuggler, uefi, fixed pkgdowngrades

* Mon Dec 08 2014 Frantisek Kluknavsky <fkluknav@redhat.com> - 0.6.12-1
- rebase, vsftpd typo

* Wed Dec 03 2014 Frantisek Kluknavsky <fkluknav@redhat.com> - 0.6.11-1
- rebase, grubby workaround

* Thu Nov 20 2014 Frantisek Kluknavsky <fkluknav@redhat.com> - 0.6.10-1
- rebase

* Mon Oct 27 2014 Frantisek Kluknavsky <fkluknav@redhat.com> - 0.6.9-1
- check section instead of extra entries in files section
- changes in contents: dhcpd, system requirements, hal, openssh-keycat, rsync, rsyslog, php, vsftpd

* Fri Oct 24 2014 Frantisek Kluknavsky <fkluknav@redhat.com> - 0.6.8-1
- do not require php

* Mon Oct 20 2014 Petr Hracek <phracek@redhat.com> - 0.6.7-2
- bump version. Dark-martrix upgrade path RHEL-6.6-> RHEL7.1

* Wed Oct 08 2014 Petr Hracek <phracek@redhat.com> - 0.6.7-1
- Rebuild because of dark-matrix

* Mon Oct 06 2014 Petr Hracek <phracek@redhat.com> - 0.6.6-1
- Revert subscription-manager fix and pkgdowngrades

* Mon Oct 06 2014 Frantisek Kluknavsky <fkluknav@redhat.com> - 0.6.5-1
- version bump after pkgdowngrades fix (praiskup)

* Thu Oct 02 2014 Petr Hracek <phracek@redhat.com> - 0.6.4-1
- bump version
- missing XML files

* Thu Oct 02 2014 Petr Hracek <phracek@redhat.com> - 0.6.3-2
- system/hal content removed
- vstfpd, rsync, openssh-keycat, rsyslog  contents removed

* Wed Oct 01 2014 Frantisek Kluknavsky <fkluknav@redhat.com> - 0.6.3-1
- system/hal ready

* Wed Oct 01 2014 Petr Hracek <phracek@redhat.com> - 0.6.2-3
- Fix for enforcing SELinux (#1145147)
- Editing grub after inplace upgrade (#1146537)
- Rename postupgrade script (#1145184)
- Rsync content
- Initial PHP content

* Thu Sep 11 2014 Petr Hracek <phracek@redhat.com> - 0.6.2-2
- fix typo in pam content

* Thu Sep 11 2014 Frantisek Kluknavsky <fkluknav@redhat.com> - 0.6.2-1
- version bump

* Wed Sep 10 2014 Frantisek Kluknavsky <fkluknav@redhat.com> - 0.6.1-1
- pkgdowngrades content is crucial and requires redhat-upgrade-tool

* Tue Sep 09 2014 Petr Hracek <phracek@redhat.com> - 0.6.0-1
- Added Requires yum-plugin-downloadonly needed by preupgrade-scripts

* Fri Sep 05 2014 Frantisek Kluknavsky <fkluknav@redhat.com> - 0.5.17-1
- unneeded BuildRequires deleted

* Wed Aug 20 2014 Frantisek Kluknavsky <fkluknav@redhat.com> - 0.5.16-1
- version bump

* Thu Jul 31 2014 Petr Hracek <phracek@redhat.com> - 0.5.15-1
- polkit content
- created group FHS for related issues
- nfsv2 content
- fix usr.sh script for detection /usr partition

* Tue Jun 24 2014 Petr Hracek <phracek@redhat.com> - 0.5.14-1
- quorum content content
- initscripts matrix

* Fri Jun 06 2014 Frantisek Kluknavsky <fkluknav@redhat.com> - 0.5.13-1
- minor fixes

* Wed Jun 04 2014 Petr Hracek <phracek@redhat.com> - 0.5.12-1
- fix in usr content

* Wed Jun 04 2014 Frantisek Kluknavsky <fkluknav@redhat.com> - 0.5.11-1
- fix in iptables

* Fri May 30 2014 Frantisek Kluknavsky <fkluknav@redhat.com> - 0.5.10-1
- selinux/samba content

* Thu May 29 2014 Petr Hracek <phracek@redhat.com> - 0.5.9-1
- Add network/squid content
- Fix in luks content

* Wed May 28 2014 Petr Hracek <phracek@redhat.com> - 0.5.8-4
- Fix in initscripts
- Correct typo in AddOns

* Mon May 26 2014 Petr Hracek <phracek@redhat.com> - 0.5.8-3
- Content for luks crypted partitions (#1081035)

* Thu May 22 2014 Petr Hracek <phracek@redhat.com> - 0.5.8-2
- Fix for fixreplaced.sh script

* Thu May 22 2014 Frantisek Kluknavsky <fkluknav@redhat.com> - 0.5.8-1
- CleanPackages are part of Removed rpms.

* Wed May 21 2014 Frantisek Kluknavsky <fkluknav@redhat.com> - 0.5.7-1
- new contents: Gnome, KDE, QemuGuestAgent, pkgdowngrades, hyperv, optional-channel
- minor fixes

* Mon May 19 2014 Frantisek Kluknavsky <fkluknav@redhat.com> - 0.5.6-1
- spec file should be the same for contents and contents-users
- version.txt dropped, was not included into spec file anyway

* Mon May 19 2014 Petr Hracek <phracek@redhat.com> - 0.5.5-2
- Fix in HyperV content

* Wed May 14 2014 Frantisek Kluknavsky <fkluknav@redhat.com> - 0.5.5-1
- New upstream version

* Mon May 05 2014 Petr Hracek <phracek@redhat.com> - 0.5.3-3
- add 3rdparty directory

* Wed Apr 30 2014 Pavel Raiskup <praiskup@redhat.com> - 0.5.3-2
- add generated repo-stats data

* Fri Apr 25 2014 Petr Hracek <phracek@redhat.com> 0.5.3-1
- HA and Cluster content

* Fri Apr 18 2014 Petr Hracek <phracek@redhat.com> 0.5.2-1
- DTS content and some fixes

* Fri Apr 18 2014 Petr Hracek <phracek@redhat.com> 0.5.0-6
- Content for check RHEL variant

* Mon Apr 07 2014 Petr Hracek <phracek@redhat.com> 0.5.0-5
- Fix in scl-collection content

* Mon Mar 31 2014 Petr Hracek <phracek@redhat.com> 0.5.0-4
- Fix in scl-collection content

* Mon Mar 31 2014 Petr Hracek <phracek@redhat.com> 0.5.0-3
- Several fixes
- Using only group.ini files

* Wed Mar 19 2014 Petr Hracek <phracek@redhat.com> 0.5.0-2
- Several fixes
- subscription content
- initscript contents (general, rc_local, control)
- DNSMASQ content
- fixed bacula content and postupgrade script

* Wed Mar 19 2014 Petr Hracek <phracek@redhat.com> 0.5.0-1
- Fix for relative links in case of file tag
- Initscripts contents
- Usr mount content
- CVS, SVN, GIT content

* Mon Mar 17 2014 Petr Hracek <phracek@redhat.com> 0.4.5-1
- Fix for #1077157
- More PKI contents

* Mon Feb 10 2014 Petr Hracek <phracek@redhat.com> 0.4.3-2
- replace yaml with ini
- introduce bacula content

* Wed Dec 11 2013 Petr Hracek <phracek@redhat.com> 0.4.2-7
- Fixes for LC_ALL locales

* Tue Dec 10 2013 Petr Hracek <phracek@redhat.com> 0.4.2-6
- contents with verify option, mount points and filesystem change
- some fixes
- some corrections in bind content

* Mon Dec 09 2013 Petr Hracek <phracek@redhat.com> 0.4.2-5
- contents should use correct API

* Mon Dec 09 2013 Petr Hracek <phracek@redhat.com> 0.4.2-4
- In case that check_bin does not fit then return FAILED

* Wed Dec 04 2013 Petr Hracek <phracek@redhat.com> 0.4.2-3
- description field in XML does not use any HTML tag

* Fri Nov 29 2013 Petr Hracek <phracek@redhat.com> 0.4.2-2
- group_title tag in YAML files is not needed anymore

* Fri Nov 29 2013 Petr Hracek <phracek@redhat.com> 0.4.2-1
- Bump version

* Fri Nov 29 2013 Petr Hracek <phracek@redhat.com> 0.4.1-2
- Correct package description

* Thu Nov 28 2013 Petr Hracek <phracek@redhat.com> 0.4.1-1
- Initial preupgrade-assistant-contents-users rpm
